> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smolboard.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a SessionContentRevision by ID



## OpenAPI

````yaml https://www.smolboard.app/api/openapi.json get /api/entities/sessioncontentrevision/{id}
openapi: 3.1.0
info:
  description: Auto-generated API documentation for smolboard
  title: smolboard
  version: 0.1.0
servers:
  - url: ''
security: []
paths:
  /api/entities/sessioncontentrevision/{id}:
    get:
      tags:
        - SessionContentRevision
      summary: Get a SessionContentRevision by ID
      operationId: getSessionContentRevisionById
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SessionContentRevision'
          description: SessionContentRevision found
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Not found
      security:
        - BearerAuth: []
components:
  schemas:
    SessionContentRevision:
      properties:
        createdAt:
          format: date-time
          type: string
        description:
          type: string
        editorName:
          type: string
        editorUserId:
          type: string
        eventId:
          type: string
        id:
          type: string
        orgId:
          type: string
        restoredFromRevisionId:
          type: string
        revisionNumber:
          type: integer
        sessionId:
          type: string
        speakerUserIdsJson:
          description: Arbitrary JSON value
        title:
          type: string
      required:
        - id
        - orgId
        - eventId
        - sessionId
        - revisionNumber
        - title
        - editorUserId
        - editorName
        - createdAt
      type: object
    Error:
      properties:
        error:
          properties:
            code:
              type: string
            hint:
              type: string
            message:
              type: string
          required:
            - code
            - message
          type: object
      type: object
  securitySchemes:
    BearerAuth:
      scheme: bearer
      type: http

````